import 'entity.dart';

class Entities {
  /// A List of all Minecraft items
  static const List<EntityType> all = [
    area_effect_cloud,
    armor_stand,
    arrow,
    bat,
    bee,
    blaze,
    boat,
    cat,
    cave_spider,
    chest_minecart,
    chicken,
    cod,
    command_block_minecart,
    cow,
    creeper,
    dolphin,
    donkey,
    dragon_fireball,
    drowned,
    egg,
    elder_guardian,
    end_crystal,
    ender_dragon,
    ender_pearl,
    enderman,
    endermite,
    evoker,
    evoker_fangs,
    experience_bottle,
    experience_orb,
    eye_of_ender,
    falling_block,
    fireball,
    firework_rocket,
    fishing_bobber,
    fox,
    furnace_minecart,
    ghast,
    giant,
    guardian,
    hoglin,
    hopper_minecart,
    horse,
    husk,
    illusioner,
    iron_golem,
    item,
    item_frame,
    leash_knot,
    lightning_bolt,
    llama,
    llama_spit,
    magma_cube,
    minecart,
    mooshroom,
    mule,
    ocelot,
    painting,
    panda,
    parrot,
    phantom,
    pig,
    piglin,
    pillager,
    player,
    polar_bear,
    potion,
    pufferfish,
    rabbit,
    ravager,
    salmon,
    sheep,
    shulker,
    shulker_bullet,
    silverfish,
    skeleton,
    skeleton_horse,
    slime,
    small_fireball,
    snow_golem,
    snowball,
    spawner_minecart,
    spectral_arrow,
    spider,
    squid,
    stray,
    strider,
    tnt,
    tnt_minecart,
    trader_llama,
    trident,
    tropical_fish,
    turtle,
    vex,
    villager,
    vindicator,
    wandering_trader,
    witch,
    wither,
    wither_skeleton,
    wither_skull,
    wolf,
    zoglin,
    zombie,
    zombie_horse,
    zombie_villager,
    zombified_piglin
  ];

  /// [Area Effect Cloud](https://minecraft.gamepedia.com/area_effect_cloud)
  ///
  /// _(minecraft:area_effect_cloud)_
  static const EntityType area_effect_cloud =
      EntityType('minecraft:area_effect_cloud');

  /// [Armor Stand](https://minecraft.gamepedia.com/armor_stand)
  ///
  /// _(minecraft:armor_stand)_
  static const EntityType armor_stand = EntityType('minecraft:armor_stand');

  /// [Arrow](https://minecraft.gamepedia.com/arrow)
  ///
  /// _(minecraft:arrow)_
  static const EntityType arrow = EntityType('minecraft:arrow');

  /// [Bat](https://minecraft.gamepedia.com/bat)
  ///
  /// _(minecraft:bat)_
  static const EntityType bat = EntityType('minecraft:bat');

  /// [Bee](https://minecraft.gamepedia.com/bee)
  ///
  /// _(minecraft:bee)_
  static const EntityType bee = EntityType('minecraft:bee');

  /// [Blaze](https://minecraft.gamepedia.com/blaze)
  ///
  /// _(minecraft:blaze)_
  static const EntityType blaze = EntityType('minecraft:blaze');

  /// [Boat](https://minecraft.gamepedia.com/boat)
  ///
  /// _(minecraft:boat)_
  static const EntityType boat = EntityType('minecraft:boat');

  /// [Cat](https://minecraft.gamepedia.com/cat)
  ///
  /// _(minecraft:cat)_
  static const EntityType cat = EntityType('minecraft:cat');

  /// [Cave Spider](https://minecraft.gamepedia.com/cave_spider)
  ///
  /// _(minecraft:cave_spider)_
  static const EntityType cave_spider = EntityType('minecraft:cave_spider');

  /// [Chest Minecart](https://minecraft.gamepedia.com/chest_minecart)
  ///
  /// _(minecraft:chest_minecart)_
  static const EntityType chest_minecart =
      EntityType('minecraft:chest_minecart');

  /// [Chicken](https://minecraft.gamepedia.com/chicken)
  ///
  /// _(minecraft:chicken)_
  static const EntityType chicken = EntityType('minecraft:chicken');

  /// [Cod](https://minecraft.gamepedia.com/cod)
  ///
  /// _(minecraft:cod)_
  static const EntityType cod = EntityType('minecraft:cod');

  /// [Command Block Minecart](https://minecraft.gamepedia.com/command_block_minecart)
  ///
  /// _(minecraft:command_block_minecart)_
  static const EntityType command_block_minecart =
      EntityType('minecraft:command_block_minecart');

  /// [Cow](https://minecraft.gamepedia.com/cow)
  ///
  /// _(minecraft:cow)_
  static const EntityType cow = EntityType('minecraft:cow');

  /// [Creeper](https://minecraft.gamepedia.com/creeper)
  ///
  /// _(minecraft:creeper)_
  static const EntityType creeper = EntityType('minecraft:creeper');

  /// [Dolphin](https://minecraft.gamepedia.com/dolphin)
  ///
  /// _(minecraft:dolphin)_
  static const EntityType dolphin = EntityType('minecraft:dolphin');

  /// [Donkey](https://minecraft.gamepedia.com/donkey)
  ///
  /// _(minecraft:donkey)_
  static const EntityType donkey = EntityType('minecraft:donkey');

  /// [Dragon Fireball](https://minecraft.gamepedia.com/dragon_fireball)
  ///
  /// _(minecraft:dragon_fireball)_
  static const EntityType dragon_fireball =
      EntityType('minecraft:dragon_fireball');

  /// [Drowned](https://minecraft.gamepedia.com/drowned)
  ///
  /// _(minecraft:drowned)_
  static const EntityType drowned = EntityType('minecraft:drowned');

  /// [Egg](https://minecraft.gamepedia.com/egg)
  ///
  /// _(minecraft:egg)_
  static const EntityType egg = EntityType('minecraft:egg');

  /// [Elder Guardian](https://minecraft.gamepedia.com/elder_guardian)
  ///
  /// _(minecraft:elder_guardian)_
  static const EntityType elder_guardian =
      EntityType('minecraft:elder_guardian');

  /// [End Crystal](https://minecraft.gamepedia.com/end_crystal)
  ///
  /// _(minecraft:end_crystal)_
  static const EntityType end_crystal = EntityType('minecraft:end_crystal');

  /// [Ender Dragon](https://minecraft.gamepedia.com/ender_dragon)
  ///
  /// _(minecraft:ender_dragon)_
  static const EntityType ender_dragon = EntityType('minecraft:ender_dragon');

  /// [Ender Pearl](https://minecraft.gamepedia.com/ender_pearl)
  ///
  /// _(minecraft:ender_pearl)_
  static const EntityType ender_pearl = EntityType('minecraft:ender_pearl');

  /// [Enderman](https://minecraft.gamepedia.com/enderman)
  ///
  /// _(minecraft:enderman)_
  static const EntityType enderman = EntityType('minecraft:enderman');

  /// [Endermite](https://minecraft.gamepedia.com/endermite)
  ///
  /// _(minecraft:endermite)_
  static const EntityType endermite = EntityType('minecraft:endermite');

  /// [Evoker](https://minecraft.gamepedia.com/evoker)
  ///
  /// _(minecraft:evoker)_
  static const EntityType evoker = EntityType('minecraft:evoker');

  /// [Evoker Fangs](https://minecraft.gamepedia.com/evoker_fangs)
  ///
  /// _(minecraft:evoker_fangs)_
  static const EntityType evoker_fangs = EntityType('minecraft:evoker_fangs');

  /// [Experience Bottle](https://minecraft.gamepedia.com/experience_bottle)
  ///
  /// _(minecraft:experience_bottle)_
  static const EntityType experience_bottle =
      EntityType('minecraft:experience_bottle');

  /// [Experience Orb](https://minecraft.gamepedia.com/experience_orb)
  ///
  /// _(minecraft:experience_orb)_
  static const EntityType experience_orb =
      EntityType('minecraft:experience_orb');

  /// [Eye Of Ender](https://minecraft.gamepedia.com/eye_of_ender)
  ///
  /// _(minecraft:eye_of_ender)_
  static const EntityType eye_of_ender = EntityType('minecraft:eye_of_ender');

  /// [Falling Block](https://minecraft.gamepedia.com/falling_block)
  ///
  /// _(minecraft:falling_block)_
  static const EntityType falling_block = EntityType('minecraft:falling_block');

  /// [Fireball](https://minecraft.gamepedia.com/fireball)
  ///
  /// _(minecraft:fireball)_
  static const EntityType fireball = EntityType('minecraft:fireball');

  /// [Firework Rocket](https://minecraft.gamepedia.com/firework_rocket)
  ///
  /// _(minecraft:firework_rocket)_
  static const EntityType firework_rocket =
      EntityType('minecraft:firework_rocket');

  /// [Fishing Bobber](https://minecraft.gamepedia.com/fishing_bobber)
  ///
  /// _(minecraft:fishing_bobber)_
  static const EntityType fishing_bobber =
      EntityType('minecraft:fishing_bobber');

  /// [Fox](https://minecraft.gamepedia.com/fox)
  ///
  /// _(minecraft:fox)_
  static const EntityType fox = EntityType('minecraft:fox');

  /// [Furnace Minecart](https://minecraft.gamepedia.com/furnace_minecart)
  ///
  /// _(minecraft:furnace_minecart)_
  static const EntityType furnace_minecart =
      EntityType('minecraft:furnace_minecart');

  /// [Ghast](https://minecraft.gamepedia.com/ghast)
  ///
  /// _(minecraft:ghast)_
  static const EntityType ghast = EntityType('minecraft:ghast');

  /// [Giant](https://minecraft.gamepedia.com/giant)
  ///
  /// _(minecraft:giant)_
  static const EntityType giant = EntityType('minecraft:giant');

  /// [Guardian](https://minecraft.gamepedia.com/guardian)
  ///
  /// _(minecraft:guardian)_
  static const EntityType guardian = EntityType('minecraft:guardian');

  /// [Hoglin](https://minecraft.gamepedia.com/hoglin)
  ///
  /// _(minecraft:hoglin)_
  static const EntityType hoglin = EntityType('minecraft:hoglin');

  /// [Hopper Minecart](https://minecraft.gamepedia.com/hopper_minecart)
  ///
  /// _(minecraft:hopper_minecart)_
  static const EntityType hopper_minecart =
      EntityType('minecraft:hopper_minecart');

  /// [Horse](https://minecraft.gamepedia.com/horse)
  ///
  /// _(minecraft:horse)_
  static const EntityType horse = EntityType('minecraft:horse');

  /// [Husk](https://minecraft.gamepedia.com/husk)
  ///
  /// _(minecraft:husk)_
  static const EntityType husk = EntityType('minecraft:husk');

  /// [Illusioner](https://minecraft.gamepedia.com/illusioner)
  ///
  /// _(minecraft:illusioner)_
  static const EntityType illusioner = EntityType('minecraft:illusioner');

  /// [Iron Golem](https://minecraft.gamepedia.com/iron_golem)
  ///
  /// _(minecraft:iron_golem)_
  static const EntityType iron_golem = EntityType('minecraft:iron_golem');

  /// [Item](https://minecraft.gamepedia.com/item)
  ///
  /// _(minecraft:item)_
  static const EntityType item = EntityType('minecraft:item');

  /// [Item Frame](https://minecraft.gamepedia.com/item_frame)
  ///
  /// _(minecraft:item_frame)_
  static const EntityType item_frame = EntityType('minecraft:item_frame');

  /// [Leash Knot](https://minecraft.gamepedia.com/leash_knot)
  ///
  /// _(minecraft:leash_knot)_
  static const EntityType leash_knot = EntityType('minecraft:leash_knot');

  /// [Lightning Bolt](https://minecraft.gamepedia.com/lightning_bolt)
  ///
  /// _(minecraft:lightning_bolt)_
  static const EntityType lightning_bolt =
      EntityType('minecraft:lightning_bolt');

  /// [Llama](https://minecraft.gamepedia.com/llama)
  ///
  /// _(minecraft:llama)_
  static const EntityType llama = EntityType('minecraft:llama');

  /// [Llama Spit](https://minecraft.gamepedia.com/llama_spit)
  ///
  /// _(minecraft:llama_spit)_
  static const EntityType llama_spit = EntityType('minecraft:llama_spit');

  /// [Magma Cube](https://minecraft.gamepedia.com/magma_cube)
  ///
  /// _(minecraft:magma_cube)_
  static const EntityType magma_cube = EntityType('minecraft:magma_cube');

  /// [Minecart](https://minecraft.gamepedia.com/minecart)
  ///
  /// _(minecraft:minecart)_
  static const EntityType minecart = EntityType('minecraft:minecart');

  /// [Mooshroom](https://minecraft.gamepedia.com/mooshroom)
  ///
  /// _(minecraft:mooshroom)_
  static const EntityType mooshroom = EntityType('minecraft:mooshroom');

  /// [Mule](https://minecraft.gamepedia.com/mule)
  ///
  /// _(minecraft:mule)_
  static const EntityType mule = EntityType('minecraft:mule');

  /// [Ocelot](https://minecraft.gamepedia.com/ocelot)
  ///
  /// _(minecraft:ocelot)_
  static const EntityType ocelot = EntityType('minecraft:ocelot');

  /// [Painting](https://minecraft.gamepedia.com/painting)
  ///
  /// _(minecraft:painting)_
  static const EntityType painting = EntityType('minecraft:painting');

  /// [Panda](https://minecraft.gamepedia.com/panda)
  ///
  /// _(minecraft:panda)_
  static const EntityType panda = EntityType('minecraft:panda');

  /// [Parrot](https://minecraft.gamepedia.com/parrot)
  ///
  /// _(minecraft:parrot)_
  static const EntityType parrot = EntityType('minecraft:parrot');

  /// [Phantom](https://minecraft.gamepedia.com/phantom)
  ///
  /// _(minecraft:phantom)_
  static const EntityType phantom = EntityType('minecraft:phantom');

  /// [Pig](https://minecraft.gamepedia.com/pig)
  ///
  /// _(minecraft:pig)_
  static const EntityType pig = EntityType('minecraft:pig');

  /// [Piglin](https://minecraft.gamepedia.com/piglin)
  ///
  /// _(minecraft:piglin)_
  static const EntityType piglin = EntityType('minecraft:piglin');

  /// [Pillager](https://minecraft.gamepedia.com/pillager)
  ///
  /// _(minecraft:pillager)_
  static const EntityType pillager = EntityType('minecraft:pillager');

  /// [Player](https://minecraft.gamepedia.com/player)
  ///
  /// _(minecraft:player)_
  static const EntityType player = EntityType('minecraft:player');

  /// [Polar Bear](https://minecraft.gamepedia.com/polar_bear)
  ///
  /// _(minecraft:polar_bear)_
  static const EntityType polar_bear = EntityType('minecraft:polar_bear');

  /// [Potion](https://minecraft.gamepedia.com/potion)
  ///
  /// _(minecraft:potion)_
  static const EntityType potion = EntityType('minecraft:potion');

  /// [Pufferfish](https://minecraft.gamepedia.com/pufferfish)
  ///
  /// _(minecraft:pufferfish)_
  static const EntityType pufferfish = EntityType('minecraft:pufferfish');

  /// [Rabbit](https://minecraft.gamepedia.com/rabbit)
  ///
  /// _(minecraft:rabbit)_
  static const EntityType rabbit = EntityType('minecraft:rabbit');

  /// [Ravager](https://minecraft.gamepedia.com/ravager)
  ///
  /// _(minecraft:ravager)_
  static const EntityType ravager = EntityType('minecraft:ravager');

  /// [Salmon](https://minecraft.gamepedia.com/salmon)
  ///
  /// _(minecraft:salmon)_
  static const EntityType salmon = EntityType('minecraft:salmon');

  /// [Sheep](https://minecraft.gamepedia.com/sheep)
  ///
  /// _(minecraft:sheep)_
  static const EntityType sheep = EntityType('minecraft:sheep');

  /// [Shulker](https://minecraft.gamepedia.com/shulker)
  ///
  /// _(minecraft:shulker)_
  static const EntityType shulker = EntityType('minecraft:shulker');

  /// [Shulker Bullet](https://minecraft.gamepedia.com/shulker_bullet)
  ///
  /// _(minecraft:shulker_bullet)_
  static const EntityType shulker_bullet =
      EntityType('minecraft:shulker_bullet');

  /// [Silverfish](https://minecraft.gamepedia.com/silverfish)
  ///
  /// _(minecraft:silverfish)_
  static const EntityType silverfish = EntityType('minecraft:silverfish');

  /// [Skeleton](https://minecraft.gamepedia.com/skeleton)
  ///
  /// _(minecraft:skeleton)_
  static const EntityType skeleton = EntityType('minecraft:skeleton');

  /// [Skeleton Horse](https://minecraft.gamepedia.com/skeleton_horse)
  ///
  /// _(minecraft:skeleton_horse)_
  static const EntityType skeleton_horse =
      EntityType('minecraft:skeleton_horse');

  /// [Slime](https://minecraft.gamepedia.com/slime)
  ///
  /// _(minecraft:slime)_
  static const EntityType slime = EntityType('minecraft:slime');

  /// [Small Fireball](https://minecraft.gamepedia.com/small_fireball)
  ///
  /// _(minecraft:small_fireball)_
  static const EntityType small_fireball =
      EntityType('minecraft:small_fireball');

  /// [Snow Golem](https://minecraft.gamepedia.com/snow_golem)
  ///
  /// _(minecraft:snow_golem)_
  static const EntityType snow_golem = EntityType('minecraft:snow_golem');

  /// [Snowball](https://minecraft.gamepedia.com/snowball)
  ///
  /// _(minecraft:snowball)_
  static const EntityType snowball = EntityType('minecraft:snowball');

  /// [Spawner Minecart](https://minecraft.gamepedia.com/spawner_minecart)
  ///
  /// _(minecraft:spawner_minecart)_
  static const EntityType spawner_minecart =
      EntityType('minecraft:spawner_minecart');

  /// [Spectral Arrow](https://minecraft.gamepedia.com/spectral_arrow)
  ///
  /// _(minecraft:spectral_arrow)_
  static const EntityType spectral_arrow =
      EntityType('minecraft:spectral_arrow');

  /// [Spider](https://minecraft.gamepedia.com/spider)
  ///
  /// _(minecraft:spider)_
  static const EntityType spider = EntityType('minecraft:spider');

  /// [Squid](https://minecraft.gamepedia.com/squid)
  ///
  /// _(minecraft:squid)_
  static const EntityType squid = EntityType('minecraft:squid');

  /// [Stray](https://minecraft.gamepedia.com/stray)
  ///
  /// _(minecraft:stray)_
  static const EntityType stray = EntityType('minecraft:stray');

  /// [Strider](https://minecraft.gamepedia.com/strider)
  ///
  /// _(minecraft:strider)_
  static const EntityType strider = EntityType('minecraft:strider');

  /// [Tnt](https://minecraft.gamepedia.com/tnt)
  ///
  /// _(minecraft:tnt)_
  static const EntityType tnt = EntityType('minecraft:tnt');

  /// [Tnt Minecart](https://minecraft.gamepedia.com/tnt_minecart)
  ///
  /// _(minecraft:tnt_minecart)_
  static const EntityType tnt_minecart = EntityType('minecraft:tnt_minecart');

  /// [Trader Llama](https://minecraft.gamepedia.com/trader_llama)
  ///
  /// _(minecraft:trader_llama)_
  static const EntityType trader_llama = EntityType('minecraft:trader_llama');

  /// [Trident](https://minecraft.gamepedia.com/trident)
  ///
  /// _(minecraft:trident)_
  static const EntityType trident = EntityType('minecraft:trident');

  /// [Tropical Fish](https://minecraft.gamepedia.com/tropical_fish)
  ///
  /// _(minecraft:tropical_fish)_
  static const EntityType tropical_fish = EntityType('minecraft:tropical_fish');

  /// [Turtle](https://minecraft.gamepedia.com/turtle)
  ///
  /// _(minecraft:turtle)_
  static const EntityType turtle = EntityType('minecraft:turtle');

  /// [Vex](https://minecraft.gamepedia.com/vex)
  ///
  /// _(minecraft:vex)_
  static const EntityType vex = EntityType('minecraft:vex');

  /// [Villager](https://minecraft.gamepedia.com/villager)
  ///
  /// _(minecraft:villager)_
  static const EntityType villager = EntityType('minecraft:villager');

  /// [Vindicator](https://minecraft.gamepedia.com/vindicator)
  ///
  /// _(minecraft:vindicator)_
  static const EntityType vindicator = EntityType('minecraft:vindicator');

  /// [Wandering Trader](https://minecraft.gamepedia.com/wandering_trader)
  ///
  /// _(minecraft:wandering_trader)_
  static const EntityType wandering_trader =
      EntityType('minecraft:wandering_trader');

  /// [Witch](https://minecraft.gamepedia.com/witch)
  ///
  /// _(minecraft:witch)_
  static const EntityType witch = EntityType('minecraft:witch');

  /// [Wither](https://minecraft.gamepedia.com/wither)
  ///
  /// _(minecraft:wither)_
  static const EntityType wither = EntityType('minecraft:wither');

  /// [Wither Skeleton](https://minecraft.gamepedia.com/wither_skeleton)
  ///
  /// _(minecraft:wither_skeleton)_
  static const EntityType wither_skeleton =
      EntityType('minecraft:wither_skeleton');

  /// [Wither Skull](https://minecraft.gamepedia.com/wither_skull)
  ///
  /// _(minecraft:wither_skull)_
  static const EntityType wither_skull = EntityType('minecraft:wither_skull');

  /// [Wolf](https://minecraft.gamepedia.com/wolf)
  ///
  /// _(minecraft:wolf)_
  static const EntityType wolf = EntityType('minecraft:wolf');

  /// [Zoglin](https://minecraft.gamepedia.com/zoglin)
  ///
  /// _(minecraft:zoglin)_
  static const EntityType zoglin = EntityType('minecraft:zoglin');

  /// [Zombie](https://minecraft.gamepedia.com/zombie)
  ///
  /// _(minecraft:zombie)_
  static const EntityType zombie = EntityType('minecraft:zombie');

  /// [Zombie Horse](https://minecraft.gamepedia.com/zombie_horse)
  ///
  /// _(minecraft:zombie_horse)_
  static const EntityType zombie_horse = EntityType('minecraft:zombie_horse');

  /// [Zombie Villager](https://minecraft.gamepedia.com/zombie_villager)
  ///
  /// _(minecraft:zombie_villager)_
  static const EntityType zombie_villager =
      EntityType('minecraft:zombie_villager');

  /// [Zombified Piglin](https://minecraft.gamepedia.com/zombified_piglin)
  ///
  /// _(minecraft:zombified_piglin)_
  static const EntityType zombified_piglin =
      EntityType('minecraft:zombified_piglin');
}
